                            WinRAR - 最新版本的更新


   版本 5.10

   1. 已新增支持对使用 BZIP2、LZMA 和 PPMd 压缩的 ZIP 和 ZIPX 压缩文件进行提取。

   2. 已新增支持对 7z 格式的分割压缩文件进行提取（.7z.001, .7z.002, ...）。

   3. 新增对于 AES-NI CPU 指令的支持，改进了 RAR 加密和解密的性能。

   4. 在高 DPI 显示模式下，已大幅度提高了默认主题图像的质量。

   5. 现在可以在压缩文件对话框的“文件添加”字段中使用环境变量（例如 %temp%）。

   6. 在创建 RAR 压缩文件时可以使用参数 -ai，这样就可以存储通常用于文件和文件夹的
      预定义值，而不是实际属性。以前只能在提取时使用这个参数。


   版本 5.01

   1. RAR 5.0 压缩文件能包含可选的快速打开信息，这可以通过 -qo[-|+] 参数或压缩文件
	对话框中的“快速打开信息”选项组进行控制。该功能帮助您更快打开 WinRAR 中的
	压缩文件内容。

	此版本为含有快速打开信息和服务记录（例如 NTFS 文件安全）的压缩文件提供增强
	的更新性能。此外还优化了快速打开信息的默认参数，来为这些压缩文件实现更快的
	打开时间。

   2. 已修复以下问题：

      a) 在搜索 .7z 格式的压缩文件中的文本字符串时，“Find”（查找）命令可能失败；

      b) 在打开使用加密文件名、且存储在另一个压缩文件中的 RAR 5.0 压缩文件时，
	WinRAR 会发送密码不正确的错误消息。该问题只在内部和外部压缩文件的两个密码
	不同时才发生。这不影响提取，所有文件都会忽略这条消息而进行解压；

      c) 密码对话框中的“用于所有压缩文件”这个选项不阻止那些使用加密文件名的 RAR 
	5.0 压缩文件所需的额外密码；

      d) WinRAR 地址栏未正确处理基于环境变量的路径，例如 %temp%；

      e) 存储 NTFS 文件安全和备用数据流，对路径名称超过 260 个字符的文件无效；

      f) 如果只测试了 RAR 5.0 压缩文件中的一部分文件，“Test”（测试）命令会在有效
	的恢复记录中错误报告损坏的数据。如果测试整个压缩文件内容则不会发生这个问题；

      g) 在验证 RAR 4.x Unix 符号链接时，“Test”（测试）命令会错误地报告错误；

      h) WinRAR“View”（查看）命令对 BZIP2 压缩文件内的文件无效；

      i) 如果关闭了压缩文件对话框中的“高精度修改时间”这个选项，WinRAR 不是存储较
	低精度的时间，而是根本不存储修改时间；

      j) 在 WinRAR 命令行模式下提取非 RAR 压缩文件时，含有.\ 或..\ 组件的目标路径工
	作不正常；

      k) WinRAR 无法解压多卷 CAB 压缩文件。


   版本 5.00

   1. 新的 RAR 5.0 压缩文件格式。你可以在压缩对话框中使用 "RAR 5.0" 选项或命令行中
      使用 -ma 开关创建 RAR 5.0 压缩文件。

      较老的软件，包括老版本的 WinRAR，不能解压 RAR 5.0 压缩文件，所以如果你计划把
      一个压缩文件发送给其他人，则需要考虑兼容性问题。你可以在压缩对话框中选择
      "RAR" 替代 "RAR5" 选项创建 RAR 4.x 压缩文件来兼容以前版本的 WinRAR。

   2. RAR 5.0 压缩算法的改变:

      a) 64 位 WinRAR 中最大的压缩字典增加到 1GB。32位 WinRAR 版本创建压缩文件时可
         以使用 256MB 的字典。32位和64位版本都可以解压任何字典大小的压缩文件，包括 
         1GB的;

      b) RAR 5.0 的默认字典大小是 32MB，结果就是比 RAR 4.x 的 4MB 更高的压缩率和较
         慢的速度。你可以在压缩对话框选择中使用“字典大小”选项或 -md<大小> 开关修
         改此值;

      c) -md<大小> 开关的语法修改为支持更大的字典大小。附加 'k', 'm' 和 'g' 后缀指
         定大小单位是 KB，MB 和 GB, 例如， -md64m 指 64MB 字典。如果后缀不存在，默
         认是 MB，所以 -md64m 等于 -md64;

      d) RAR 5.0 格式包括英特尔 IA-32 可执行和 delta 的压缩算法，但是 RAR 4.x 的文
         本、音频、真彩色和安腾算法不再支持。这些排除的算法对现代数据类型和硬件配置
         不是很有效率;

      e) RAR 5.0 解压缩可以使用多 CPU 核心。虽然不能有压缩算法同一程度的提高，但是
         它提升了可压缩效果差数据的大文件和使用BLAKE2校验和时的解压速度。

   3. RAR 5.0 压缩文件格式的改变:

      a) 文件时间存储为协调世界时(UTC)，替代以前的本地时间，这让文件在不同的时区内
         的交流更直观;

      b) 文件名和压缩文件注释使用 UTF-8 编码。
   
   4. RAR 5.0 恢复记录基于里德-所罗门 ( Reed-Solomon ) 错误纠正码。如果恢复记录的大
      小足够大，5%或更多，新的纠错方案提供了比 RAR 4.x 更高的抗多种损害的能力。较小
      的恢复记录，如 1 - 2%, 或较少的随机损坏类型时 4.x 和 5.0 的区别较少。对于单一
      连续损坏，4.x 和 5.0 的效率是相同的。

      此外,通常的数据抹除，新的恢复记录比之前的 RAR 版本可以检测删除和插入更大的大
      小。最大的插入大小是几兆字节。最大的删除大小依赖于损坏的类型，在某些情况下可
      以和恢复记录的大小一样大。
      
      不过，最好的恢复性能和效率是压缩文件没有删除和插入存在，包括受损区域的所有数
      据保持原来的位置。因此,如果你使用一些特殊的软件从损坏的媒介复制压缩文件，最好
      选择以零或任何其他数据填充受损区域的模式，而不是把它们完全从结果文件中切除。

      RAR 5.0 恢复记录比恢复记录本身更耐损坏，可以利用部分损坏的恢复记录数据。但是，
      请注意，“修复”命令不修复恢复记录的损坏块。只有文件数据可以被更正。压缩文件
      修复成功后,您可能需要对保存的文件创建一个新的恢复记录。

      新恢复记录不再是基于512字节区块，而是有更复杂的数据结构。所以不可能指定区块的
      大小。对于RAR 5.0 压缩文件 rr[N]开关和rr[N]命令的参数总是视为压缩文件大小的百
      分比，不管%字符是否存在。通常 N% 恢复记录可以修复 N%的连续损坏数据，增加压缩
      文件的大小仅略超过 N%。解决多个损坏的能力与N成正比。

      我们使用 James S. Plank、Kevin M. Greenan 和 Ethan L. Miller 的 “Screaming
      Fast Galois Field Arithmetic Using Intel SIMD Instructions”论文来改进
      Reed-Solomon码性能。也感谢 Artem Drobanov 和 Bulat Ziganshin 提供例子和想法使
      Reed-Solomon码更有效率。

   5. "测试" 命令验证 RAR 5.0 恢复记录的有效性。在处理完所有压缩文件后测试恢复记录。

      如果损坏的压缩文件包含恢复记录，即使恢复记录验证测试失败也可能被修复。“修复”
      命令尝试利用部分受损的恢复记录。所以如果原始文件仍然可用，则把否定的恢复记录
      测试结果作为重建压缩文件的原因，而不是避免使用“修复”命令的原因。

   6. RAR 5.0 加密算法的改变:

      a) CBC 模式中加密算法由 AES-128 改变为 AES-256。关键推导函数是基于使用 
         HMAC-SHA256 的 PBKDF2;

      b) 特殊密码验证值允许不解压整个文件就能检测大部分错误密码;

      c) 如果压缩文件头没有加密 ("加密文件名" 选项关闭), 对于加密 RAR 5.0 文件的文
         件校验和被修改使用一种特殊的密码依赖算法，不可能基于校验和猜测文件内容。不
         要期待这样的加密文件校验和匹配常规和 BLAKE2 和 CRC32 值。
   
   7. RAR 5.0 压缩文件可以使用 256位的 BLAKE2sp 哈希( https://blake2.net ) 代替 32
      位的 CRC32 作为文件校验和。可以在压缩对话框的“选项”页中启用“使用 BLAKE2 文
      件校验和”或在命令行中指定 -htb 开关来使用 BLAKE2 校验和。

      在生成稍大的压缩文件时，BLAKE2 可以被用于文件内容识别。如果两个文件有相同 
      BLAKE2 值，基本上就可以认定文件内容是相同的。BLAKE2 的错误检测性能比较短的 
      CRC32 更强。

   8. 删除的功能:

      a) 身份验证功能的可靠性达不到所需的级别，功能被移除;
      
      b) RAR 5.0 压缩文件由于总是添加压缩文件结束块，所以不支持开关 -en(不添加“压
         缩文件结束”块)。此块有助于帮助 WinRAR 安全跳过扩展数据，如附在压缩文件后
         的数字签名;

      c) RAR 5.0 压缩文件不支持 arcname.rNN 风格的旧分卷名，只使用 
         arcname.partN.rar 卷名;
      
      d) RAR 4.x 和 RAR 5.0 都不再支持文件注释了。控制台 RAR 的‘cf’命令被移除。这
         不影响压缩文件注释，此功能在两个压缩文件格式的版本中都支持，并且没有删除的
         计划。

   9. "设置密码" 命令和 "字典大小" 选项被移动到压缩对话框的“常规”页面。
   
  10. 你可以在压缩对话框的“高级”对话框中使用“把符号链接保存为链接”来保存并恢复 
      NTFS 符号链接和分析点为链接，它们的内容没有被压缩。此选项的命令行等价开关是 
      -ol。

      NTFS 硬链接的类似选项是“把硬链接保存为链接”。它的命令行等价开关是 -oh。

      这两个选项仅可用于 RAR 5.0 压缩文件格式。
   
  11. 添加对 XZ 压缩文件格式的解压支持。
   
  12. RAR 5.0 压缩文件格式中恢复卷处理的更改:

      a) RAR 5.0 中最大 RAR+REV 卷数是65535，取代 255;

      b) 恢复卷的操作速度比 RAR 4.x 快;

      c) 除了恢复数据，RAR 5.0 REV 文件也存储了类似于文件校验和的服务信息来保护 RAR
         文件。所以它们比它们要保护的 RAR 卷要稍大。所以如果你要把 RAR 和 REV 文件
         单独复制的移动媒介中，你需要把它考虑在内并指定 RAR 卷的大小比媒介的大小少
         几K字节。
  
  13. RAR 和 ZIP 压缩文件中的最大路径长度增加到 2048 个字符。
  
  14. 如果 命令行 RAR 检测到用户输入了错误的密码，它会返回退出码 11。只有 RAR 5.0 
      压缩文件才能返回此代码。对于 RAR 4.x 文件它可以区分是密码错误还是数据损坏。

  15. 'v' 和 'l' 命令在行的末尾显示压缩的文件名，不是和以前一样显示在前面。以前仅在
      ‘l’和‘v’中输出的某些字段现在仅由‘lt’和‘vt’显示。
      
      'vt' 和 'lt' 命令提供每个压缩了的文件的详细多行信息。

      'vta' 和 'lta' 的列表中还包含了服务头。

   16. 现在WinRAR 和控制台 RAR 中类似于 'rar a arcname @filelist' 命令中的文件列表
       的默认字符集为 ANSI。以前版本中 WinRAR 是 ANSI，控制台 RAR 是 OEM。你可以使
       用 -sc<字符集>l 开关取代此默认值。

   17. WinRAR 内部查看器能检测并显示 UTF-8 和 UTF-16 小端字节序编码的文件。

   18. UTF-16 小端字节序编码被用于 RAR 和 WinRAR 日志文件 rar.log 中，所以 Unicode 
       文件名能在日志文件中正确存储。WinRAR 会自动删除非 Unicode 格式的旧 rar.log 
       文件来避免同一日志文件中混合不同的编码。控制台 RAR 的情况下，你需要手动删除
       旧的 rar.log，否则 RAR 会在现有的 rar.log 后追加 UTF-16 的信息。

       你可以使用 -sc<字符集>g 开关改变默认日志文件的编码，如 -scag 使用 ANSI 编码。

   19. 命令行 'r' (修复) 命令可以有一个附加的 目标路径\ 参数来定义修复好的压缩文件
       的目标文件夹:

       rar r archive.rar 目标路径\
      
   
   版本 4.20

   1. RAR 压缩的改变:

      a) RAR 常规压缩算法优化，更好得利用了多处理器核心。单处理器模式中提高一定的
         速度的同时，多核心环境的压缩结果更好。

         速度的提升效果依赖于数据类型和平均文件大小。在压缩大文件时多核心利用率更
         高。

      b) 为了更快的压缩速度，我们不得不增加内存的使用。常规 RAR 压缩算法分配大约
         120 MB 内存，而 WinRAR 4.11 中为 40 MB;

      c) RAR 文本压缩不能有效得利用多 CPU 核心，所以在多处理器环境中它的性能比常
         规压缩要低。不管多少个 CPU 数，它的解压缩速度都比常规算法要慢。所以我们
         决定默认禁用文本算法。

         如果需要把纯文本数据获得最大程度的压缩率，你可以在“高级压缩参数”对话
         框中启用文本压缩。点击压缩对话框的“高级”页面的“压缩...”按钮来访问它。
         你也可以在默认压缩配置中永久修改此选项;

         命令行模式中可以使用 -mct 开关启用文本压缩;

      d) “最快”(-m1) 压缩模式现在也支持多处理器核心。4.11 中此模式仅能使用单处
         理器核心。

   2. RAR 常规解压缩算法的速度有稍微的提高，Rar 压缩算法的不同会导致不一样。RAR 
      解压缩不能使用多处理器核心，所以它的速度不依赖于核心数。

   3. ZIP 压缩的改变:

      a) 现在 ZIP 压缩支持多处理器核心，这样在多核心环境中能获得显著的性能提升。
         使用单 CPU 时 ZIP 压缩也比 4.11 快;

      b) ZIP 压缩的内存使用增加到大约 15 MB。

   4. 恢复卷的创建和处理可以使用多个 CPU 核心来获得更高的处理速度。然而，一般硬盘
      的寻道速度是恢复卷的一个限制因素，所以使用固态硬盘时效果会更明显。

   5. 现在 -mt<线程> 的 <线程> 值允许设为 1 - 32, 而不是以前的 0-16。
   
   6. “查找文件”命令可以查找 7-Zip 压缩文件中的数据。以前的“查找文件”不支持
      .7z 压缩格式。
   
   7. WinRAR 和 WinRAR 自解压模块不再支持 Windows 2000。

   8. “高级自解压选项”对话框中的“保存当前设置”按钮现在仅在转换现有的压缩文件
      到自解压文件时可用。此按钮保存是选项仅应用于转换到自解压文件操作。

      在创建或更新自解压文件时仅使用存储在默认压缩配置中的自解压选项。对于这些操
      作，忽略“高级自解压选项”对话框中保存的选项。

   
   版本 4.11

   1. 错误修正:

      a) WinRAR 在创建 RAR 压缩文件时不存储 NTFS 的 "压缩" 属性;

      b) WinRAR 的命令行模式在有 @filelist 参数存在而 'filelist' 不存在时崩溃。此
         问题只影响 WinRAR.exe，不影响 RAR.exe;

      c) 如果在压缩时指定了 -x*\somefolder\* 排除掩码，并且当前文件夹名中包含
          'somefolder'，WinRAR会排除所有文件并停止创建压缩文件;

      d) GUI 自解压压缩文件不能在 Windows 预安装环境(Windows PE)中使用。

   
   版本 4.10

   1. WinRAR 可以创建几乎任何大小的 ZIP 压缩文件。

      以前 WinRAR 版本的 2 GB 压缩文件大小和 65535 个文件数的 ZIP 限制不再有效。

   2. WinRAR 可以创建多卷 ZIP 压缩文件，也被称为拆分 ZIP 文件。

      ZIP 卷的名字类似于“volname.zip”，“volname.z01”，“volname.z02”。在所有
      压缩文件中，使用有“.ZIP”文件扩展名的卷来处理开始解压或打开一个压缩文件等
      操作。

      和 RAR 卷不一样，ZIP 卷不能自解压。

      WinRAR 在创建或解压 ZIP 分卷时需要同时访问多卷 ZIP 文件的所有卷，所以不可能
      在多个移动磁盘上创建或解压 ZIP 卷。你需要在同一文件夹内创建它们。

   3. 对 ZIP 压缩文件新增高精度文件时间的支持。WinRAR 可以在 ZIP 压缩文件内以 100
      纳秒的精度存储和解压修改、创建和上次访问的文件时间。

      你需要在压缩对话框的“时间”部分设置“高精度修改时间”选项，才能在压缩文件存
      储所有的 3 个时间。在解压对话框中的“高级”部分设置适当的“文件时间”选项选择
      解压的时间。

   4. 增加了支持存储 Unicode 文件名到 ZIP 扩展字段数据。不同的ZIP工具存储 Unicode
      名称位置不同，有的在文件头，有的在扩展字段，现在 WinRAR 可以正确地处理这两种
      类型 Unicode名称。

   5. “同步压缩文件内容”选项和 -as 命令行开关支持 ZIP 格式。

   6. 修改 -ag 开关的行为:

      a) -ag 可以用于所有的 RAR 和 WinRAR 命令，而不再仅限于压缩;

      b) 'N' 格式字符的行为在压缩和非压缩操作中的行为不同。压缩时，它会递归直到找到
         第一个未使用的名称。在非压缩操作中，如解压，它会在选择已存在的压缩文件向前
         找第一个未使用的名称;

      c) 'I' 格式字符允许指定分钟，不理会格式字符串中 'H'(小时) 的存在和位置。这可
         以在你想把分钟放小时前面或不需要小时的时候代替 'M'(分钟) 。

   7. 默认情况下，WinRAR 会在查看器修改了打开的文件或创建了新的文件时建议更新压缩文
      件。在“设置/查看”对话框中的“忽略修改”选项允许禁用此行为。在这里你可以输入
      以空格分隔的一个或多个文件掩码，如果创建或修改的文件则匹配这些掩码，WinRAR 不
      会再询问是否要更新压缩文件。

   8. 分卷大小输入栏的修改。现在你可以在分卷大小右边的下拉列表中选择大小的单位。之前
      的方法是自己输入 'k', 'm' 等定义大小的单位。写在数字大小值后的字符也被支持。

   9. “定义分卷大小”对话框中“预定义大小”的修改。软盘和 ZIP 盘被 5MB 和 100MB 卷
      替代，增加了 FAT32 能支持的最大大小和蓝光光盘的大小。

  10. 在压缩对话框的“选项”页新增“清除设置了密码的文件”选项。如果你总是想安全加密
      的文件，你可以在默认压缩配置中启用“清除设置了密码的文件”。

  11. 在“设定/安全”中新增“清除临时文件/仅加密的”选项。它可以让 WinRAR 在
      认定为加密文件时，使用慢速但安全的方法删除从加密压缩文件解压到临时文件夹中的文
      件。其它临时文件快速删除。

  12. “转换压缩文件”命令的修改:

      a) 现在可以转换加密的压缩文件了。以前“转换压缩文件”命令会跳过它们。

         不过，如果你还是想跳过它们，你可以通过启用“转换压缩文件”对话框中的“跳
         过加密的压缩文件”选项做到这一点。它可能在你想在无人值守模式下运行转换命
         令，避免密码提示时有用;

      b) 特殊的“rar2”压缩文件类型被移除，这是对 RAR1.x 和 2.x 特定的压缩文件。现
         在“RAR”压缩文件类型控制所有版本的 RAR 压缩文件的转换。

         由于转换命令不再需要检测的RAR压缩版本了，初始的搜索压缩文件更快，这样显示
         “转换压缩文件”对话框前的延迟更短。
  
  13. 新的 -log[格式][=名称] 开关允许写入压缩 RAR 和 ZIP 格式的命令处理的压缩文件和
      文件名到日志文件中，也可用于 RAR 格式的解压、删除和列表命令。

      当你需要进一步处理由 -ag 或 -v 开关建立的压缩文件时，这个开关特别有用，因为
      -log 提供了 WinRAR 所生成的压缩文件名。

  14. 新-@[+]开关允许处理“@”字符开头的所有参数，区分文件名(-@)或(-@+)文件列表。

  15. “高级自解压选项”对话框的“安装程序”自解压选项从“常规”页移动到“安装”
      页。“解压后运行”和“解压前运行”现在都可多行，所以可以在同一压缩文件中指定
      多个安装程序。
  
  16. "SetupCode" 自解压脚本命令指示自解压文件等待安装程序的终止并返回退出代码，以
      增加 1000 作为自解压压缩文件的退出码。

      图形界面的等效命令是“高级自解压选项”对话框“设置”页面的“等待并返回退出代
      码”选项。

  17. 自解压模块不再支持“S”(在开始菜单顶部创建)“快捷方式”命令。新版本的
      Windows 不允许程序在开始菜单顶部添加项目。


   版本 4.01

   1. 添加对保存在 TAR 压缩文件中的二进制格式文件大小的支持。 某些 TAR 压缩文件对
      于大于8 GB 的文件使用二进制格式的大小，而不是八进制。
   
   2. 错误修正:

      a) “修复”命令无法正确重建包含至少一个文件打包大小超过 4 GB 的 RAR 压缩文件
         的结构。

         此错误不影响基于恢复记录的修复。只有在 WinRAR 重建没有找到恢复记录的压缩
         文件结构时才发生这个问题;

      b) 即使解压对话框的“高级”部分中的“不解压路径”被设置为默认，WinRAR 在从资
         源管理器右键菜单中解压时仍然解压文件路径。

      c) 在对一个加密的 ZIP 压缩文件输入一个错误的密码后，有时 WinRAR 会忽略随后尝
         试输入的有效密码;

      d) 在压缩单个文件夹或者没有扩展名的文件时，“向导”命令不允许创建自解压和多
         卷压缩文件;

      e) “从文件导入设置”命令不能恢复 WinRAR 压缩配置文件中的多行注释;

      f) 当转换 name1.name2.part#.rar 格式名称的 RAR 卷时，“转换压缩文件”命令错
         误地删除“.name2”名称部分。这样导致生成的压缩文件名是 name1.rar，而不是
         预期的 name1.name2.rar;

      g) RAR 在使用 -agNNN 开关创建一个新的压缩文件时，如果在生成的压缩文件数大于
         等于110时崩溃;

      h) 如果 7-Zip 压缩文件使用了非默认代码页，WinRAR 不能正确显示其中的非英语文
         件名。这仅仅是显示问题，这些名字的文件还是能被正确解压的。


   版本 4.00

   1. RAR 解压缩速度提升。根据数据类型，解压缩会比以前版本提升 30%。

      常规的 RAR 算法和大部分特殊的 RAR 多媒体模式都受益于此改进。唯一没有受影响
      的 RAR 算法模块是“文本压缩”模式。
   
   2. ISO 支持的更改:
   
      a) UDF 支持更新为 UDF 2.50 修订。这使解压大部分蓝光 ISO 文件成为可能;

      b) 当浏览 UDF ISO 文件时，UDF 修订号会被显示在 WinRAR 地址条和压缩文件信息
         对话框的 "UDF" 格式名后;

      c) WinRAR 解压时会设置文件夹的修改日期为 UDF 和 ISO9660 文件中存储的时间。
   
   3. 密码对话框的更改:

      a) WinRAR 解压和压缩时使用同样的密码对话框格式，所以“显示密码”选项解压时
         也有效;

      b) 密码对话框的“管理密码...”按钮提供了密码的管理界面，在这里你可以指定你
         常用的密码。你可以使用密码对话框中的下拉列表或自动完成功能访问这些保存的
         密码。

      c) 在一次解压多个压缩文件时，增加了密码对话框中的“用于所有压缩文件”选项。
         你可以使用它对所有压缩文件只输入一次密码。

         如果此选项使用空密码，WinRAR 会跳过所有加密的压缩文件。

      d) 不象以前的版本，默认压缩配置中的密码不用于解压。
         
         如果你想要对所有解压的压缩文件使用相同的密码，点击密码对话框的“管理密
         码...”按钮定义一个新的密码项目，在“用于的压缩文件”区域输入"*"文件掩码。

   4. 在 Windows 7 中 WinRAR 会在 Windows 任务栏的 WinRAR 图标中显示总的操作进度。
      你可以使用 WinRAR 设置中“常规”页的“任务栏进度条”选项禁用它。

   5. 多项 Unicode 支持改进，用于更好的访问非英语文件名。这些改进包括:

      a) 在 WinRAR 的“重命名”、“转换”、“查找”和其它命令中、在文件夹树窗格中、
         在密码询问对话框和许多其它 WinRAR 界面部分中更好的 Unicode 处理;

      b) 在资源管理器右键菜单中更好的显示 Unicode 文件名;

      c) Unicode 支持 .lng 文件，使 WinRAR 的本地化可用于仅支持 Unicode 的语言;
   
   6. -x<文件> 开关语法修改。现在你可以指定通配符掩码排除文件夹。这些掩码跟一个
      '\' 字符，如 -x*tmp*\ 或 -x*\temp\

   7. 在解压对话框的“高级”部分新增“解压相对路径”选项。如果你在 WinRAR 界面中
      浏览某些压缩文件的子文件夹并启用“解压相对路径”选项，则包括在路径中的当前
      子目录在解压时候从文件路径中移除。
      
      例如，如果你在压缩文件的文件夹“Backup\MyData”内并解压“Images”文件夹，
      它会解压为“Images”，而不是“Backup\MyData\Images”。

      此选项是新的默认解压模式，但是你可以修改此默认为 WinRAR 3.x 风格。只要在解
      压对话框的“常规”部分选择“解压完全路径”并点击“保存设置”。
   
   8. WinRAR 和 WinRAR 的自解压模块不再支持 Windows 98, Windows Me 和 Windows NT。
      WinRAR 所需的最低的 Windows 版本是 Window 2000。
      
      如果你需要在老版本的 Windows 中运行 WinRAR，你可以从 ftp://ftp.rarlab.com/rar
      下载以前版本的 WinRAR。

   9. 如果 TAR、TAR.GZ 或 TAR.BZ2 压缩文件包含符号或硬链接并且目标文件系统是 NTFS，
      WinRAR 会在解压这些压缩文件时创建这些链接。在 Windows Vista 和以上版本中
      WinRAR 会创建符号链接为符号链接，硬链接为硬链接，较低版本的 Windows 中都创
      建为硬链接。

      如果目标文件系统是 FAT32 或任何其它不支持文件链接的文件系统，WinRAR 会在解压 
      TAR、TAR.GZ 和 TAR.BZ2 压缩文件时跳过链接。
   
  10. 恢复卷处理时使用较少的磁盘操作获得更高的性能。

  11. 你可以在解压对话框的树窗格中选择 Windows 7 库，WinRAR 会使用它的默认保存位
      置做为目标路径。

  12. "报告" 命令允许选择 HTML、Unicode 文本和常规文本为报告的输出格式。不像以前
      版本的 WinRAR，现在 WinRAR 使用 HTML 或 Unicode 文本格式时在报告中保留
      Unicode 字符。所以在这些报告中文件名中的非英语字符会正确显示。
   
  13. 图形自解压的消息列表只显示操作状态和错误信息。它不再包含所有解压的文件名
      了。这个更改提高了速度，降低包含大量的文件的自解压文件解压时的内存需求。同
      时它使得更容易找到错误消息，因为它们不再隐藏在解压的文件名中了。

  14. 图形自解压压缩文件对于压缩文件注释中没有“Setup”或“Presetup”命令的时候显
      示“解压”代替“安装”。如果你要设为“安装”按钮，但是不需要执行任何安装程
      序，你可以添加一个“Setup=<>”命令。
  
  15. WinRAR 在修复包含恢复记录的压缩文件或处理恢复卷时，在操作进度条上显示百分比。

  16. 当 WinRAR 在卷大小自动检测模式下, 在 FAT 或 FAT32 文件系统中创建 RAR 卷，会
      限制最大可能卷尺寸为 4 GB 减 1 字节。这些文件系统不支持 4 GB 及更大的文件。

  17. 如果启用“如果其它 WinRAR 副本被激活则等待”选项并且 WinRAR 在等待其它副本,
      你可以在命令进度窗口单击“继续”按钮强制 WinRAR 停止等待。这样新的“继续”
      按钮允许覆盖当前操作的“如果其它 WinRAR 副本被激活则等待”的状态就可以允许
      当前操作忽略此选项的设置。

  18. 当使用某些外部编辑器修改 RAR 或 ZIP 压缩文件中的加密文件后保存会压缩文件时，
      WinRAR 将显示一次而不是两次密码请求。上一版本的 WinRAR 通常会在解压原始文
      件和压缩修改后的副本时请求两次密码。只有使用加密文件名称的 RAR 压缩文件提
      示一次密码。 

  19. RAR 和 WinRAR 命令行模式返回的的错误代码列表添加了新的错误代码 10 ("无文
      件") 。这个新的代码会被压缩、解压、删除和报告命令返回。它意味着 RAR 在指定
      的文件或压缩文件掩码中没有找到任何匹配的文件。
  
  20. 在文件覆盖对话框的文件名称区域现在多行显示。这样可以显示更长的名字。
  
  21. 现在开关 -ep3 转换不仅使用盘符，也使用 UNC 路径。这样 \\server\share 压缩时
      会被转换为 __server\share，使用 -ep3 解压时恢复为原来的 \\server\share。

  22. 解压对话框的“高级”部分中新的“后台解压”选项可以使 WinRAR 在解压时进入后
      台操作。你可以和其它选项一样，在解压对话框的“常规”部分使用“保存设置”按
      钮保存此选项的默认状态。

      默认压缩配置中的“后台压缩”选项不影响解压行为。

  23. 在解压或测试压缩文件时，操作进度窗口中的 "更多..." 按钮也可用。它提供了访问
      “命令参数”对话框，在这里你可以设置解压和测试操作的“完成后关闭计算机”选
      项。

      以前此对话框仅可在压缩操作时访问。

  21. 错误修正:

      a) 重命名压缩文件中的一个文件也会导致同一压缩文件中所有同名文件被重命名;

      b) 对于多卷 CAB 压缩文件，上一版本在“信息”命令中显示错误的总计解包大小;

      c) 在 ZIP 压缩文件中的 'U' (更新) 和 'F' (刷新) 命令会错误地更新没有在命令
         行中指定的文件。这仅发生在当前文件夹内有与 Zip 压缩文件内文件名字匹配的
         文件时。此错误没有出现在通常的 'A' (添加) 压缩文件模式中。


   版本 3.93

   1. 错误修正:

      a) 在 WinRAR 3.92 中 -xd:\path\folder 开关也能排除文件夹，路径和开关中指定
         的路径不匹配，仅文件夹名和指定的相同;
      
      b) 开关 -y -or 在一起不能正确工作。-y 开关存在时 开关 -or 被忽略。

   
    版本 3.92

   1. 如果你在多显示器配置的资源管理器右键菜单启动 WinRAR 命令，命令对话框会显示
      在关联菜单所在的显示器上。以前版本都显示在主显示器上。

   2. WinRAR "压缩并 Email..." 关联命令添加压缩文件名到 Email 主题。以前版本保留
      主题为空白。

   3. 在 RAR 3.91 -x<掩码> 开关也能从压缩中排除文件夹，即使掩码包含通配字符并不包
      含路径。例如, -x*. 排除所有的名字中没有扩展名的文件夹。现在 -x 开关使用 RAR
      3.80 方式，对于无路径掩码，只有在掩码不包含通配符并且完全匹配文件夹名时排除
      文件夹。

   4. 错误修正:

      a) WinRAR 3.91 在打开用关联菜单的“创建 WinRAR ZIP 压缩文件”命令创建的空
         ZIP 压缩文件时，报告不正确的“不可预料的压缩文件末端”;

      b) 在解压包含损坏文件的 ZIP 压缩文件时启用“删除压缩文件”选项，WinRAR 不
         删除损坏文件以后的压缩文件，即使他们被成功解压;

      c) 如果在 RarFiles.lst 文件中匹配两个不同的掩码，WinRAR 会选择最后的匹配。
         通常，如果两个掩码互不为子集，第一个匹配必须被选择。


   版本 3.91

   1. 此版本能解压使用 LZMA2 算法创建的 7-Zip 压缩文件。

   2. 现在从右键关联菜单解压加密文件名的 7z 压缩文件时仅询问一次密码。WinRAR 3.90
      询问两次。

   3. 此版本能解压包含数个小的 bz2 流整合到一起的 tar.bz2 压缩文件。以前的版本仅
      解压这样的复合压缩文件中首个镶嵌的 bz2 流。

   4. WinRAR 显示普通 .gz(非 .tar.gz)压缩文件内文件的 CRC32。以前的版本此区域为空
      白。

   5. 错误修正:

      a) WinRAR 3.90 在“查找压缩文件”对话框中显示“保存”按钮而不是“打开”或
        “确定”(“文件”菜单中的“打开压缩文件”命令和压缩对话框的“浏览...”命
         令);

      b) WinRAR 在浏览畸形 ZIP 压缩文件时显示错误的文件名;

      c) WinRAR 3.90 解压使用“-lh7-”算法创建的 LZH 压缩文件时失败;

      d) 如果启用删除到回收站，WinRAR 3.90 不能在压缩后删除一部分文件。此错误仅存
         在于 Windows XP 中, Windows Vista 和 Windows 7 中不存在;

      e) 在资源管理器的右键关联菜单中使用 WinRAR“解压文件...”命令解压 ISO 文件
         时，WinRAR 会在同一操作中解压同一压缩文件两次。第二次解压文件时显示覆盖
         文件提示;

      f) 在 WinRAR 3.90 的“查找”命令和控制台 RAR 的“ih”命令中的十六进制查找命令，
         如果搜索的字符串的的首个字节大于 127 则搜索失败。

   
   版本 3.90

   1. WinRAR Windows x64 版本可用。如果你使用 Windows x64, 强烈推荐安装 64 位 
      WinRAR 版本。它提供了更高的效率和比 32 位更好的外壳扩展。

   2. 在多核心和多 CPU 的系统中压缩速度提升。在 Windows Vista 和 Windows 7 操作
      系统中此提升明显。

   3. "设置/压缩" 对话框的 "从解压路径移除重复的文件夹" 选项被更普遍的 "从解压的
      路径中移除多余的文件夹" 选项代替。如果你使用右键关联菜单的 "解压到
      DestName\" 命令解压一个压缩文件，并且压缩文件的根目录仅包含一个文件夹而且
      没有文件，则此选项会从解压路径中排除多余的基本文件夹。

   4. 在 "解压路径和选项" 对话框中的修改:

      a) "新建文件夹" 按钮在当前选择的文件夹中创建一个新的子文件夹;

      b) F2 键重命名文件夹树中选择的文件夹;

      c) F5 键更新树窗格的内容;

      d) Del 键移除文件夹树中选择的文件夹。

   5. 如果你希望在 WinRAR 外壳的文件列表中显示文件日期的秒，你可以在 "设置/文件
      列表" 对话框中启用 "显示秒" 选项。

   6. 在 "设置/整合/关联菜单项目" 对话框中的 "在哪里检查自解压文件" 选项组让你在
      右键关联菜单中控制自解压模块的进程。例如，如果你在较慢的网络磁盘中频繁右键
      点击 ".exe" 文件，你可以关闭 "网络磁盘" 选项来减少显示右键关联菜单的显示延
      迟。

   7. 如果你在 WinRAR 的外壳的文件列表中按文件名排序，WinRAR 会使用新的逻辑文件
      名排序，和 Windows 资源管理器一致，把文件名中的数字按照数字值的大小排序。
      所以文件会按照 1.txt, 2.txt, 10.txt 排序，而不是以前的 1.txt, 10.txt, 2.txt。
      这种新的排序在 Windows XP Service Pack 2 和更新的版本中可用。
   
   8. Ctrl+W 键组合可以关闭 WinRAR 查看窗口也可以关闭 WinRAR 主窗口。在 WinRAR 的
      查看中 "作为 Windows 文本查看" 快捷方式从 Ctrl+W 变为 Ctrl+I。
   
   9. 新的命令行开关 -r- 完全禁用递归。所以 'rar a -r- arc dirname' 命令会仅添加
      空的 dirname 文件夹并忽略它的内容。默认，如果 dirname 不包含通配符，即使没
      有指定 -r 开关，RAR 也会添加它的内容。

  10. 如果解压时使用新的命令行开关 -ai，会强制 RAR 忽略文件属性。当使用此开关，解
      压的文件会被分配操作系统默认给新建文件的属性。

  11. 如果输出文件名未在 "cw" 命令中指出，控制台 RAR 会发送注释数据到标准输出设备。

  12. 当使用开关 -si[名称] 压缩标准输入数据时，RAR 把当前系统时间设为压缩的修改时
      间。以前的 RAR 版本不填充此区域，导致对标准输入修改时间无意义。

  13. 当你把鼠标放在 WinRAR 的任务栏图标上时会显示包括压缩文件名的信息。以前仅显示
      压缩操作剩余的时间和总百分比。
  
  14. 错误修正:

      a) WinRAR 不能打开某些包含文件大小超过 8 GB 的tar.gz 文件;
      
      b) 在 Windows 7 beta 版中，如果右键关联菜单启用图标并且用户在 Windows 7 库文
         件夹点击文件，WinRAR 右键关联菜单不能正确工作;
  
      c) 以前的 WinRAR 版本处理名字中有 5 个或以上连续空格的文件时候失败。WinRAR 外
         壳由于安全原因不显示这些空格，因为它们可以被用来隐藏实际的文件扩展名。但是
         此安全措施阻止了重命名命令正确工作。
